/*****************************************************************************
  FILE           : bn_menu.ph
  SHORTNAME      : bn_bignet
  SNNS VERSION   : 3.2

  PURPOSE        : 
  NOTES          :

  AUTHOR         : Kai-Uwe Herrmann
  DATE           : 15.1.1993

  CHANGED BY     : 
  IDENTIFICATION : @(#)bn_menu.ph	1.11 3/2/94
  SCCS VERSION   : 1.11
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _BN_MENU_DEFINED_
#define  _BN_MENU_DEFINED_

/* begin global definition section */

void bn_BignetMenu (Widget w, XtPointer client_data, XtPointer call_data);

/* end global definition section */


/* begin private definition section */

static int      bn_menu_open = 0;
static Widget   baseWidget;

static void bn_menu_exit (void);
static void bn_menu_ff_PROC (void);
static void bn_menu_td_PROC (void);
static void bn_menu_art1_PROC (void);
static void bn_menu_art2_PROC (void);
static void bn_menu_artmap_PROC (void);
static void bn_menu_cancel_PROC (void);
static void bn_menu_jordan_PROC (void) ;
static void bn_menu_elman_PROC  (void) ;
static void bn_menu_bighop_PROC  (void) ;
static void bn_menu_assoz_PROC  (void) ;

/* end private definition section */

#endif /* _BN_MENU_DEFINED_ */
