/*****************************************************************************
  FILE           : d3_units.ph
  SHORTNAME      : units.ph
  SNNS VERSION   : 3.2

  PURPOSE        : header for d3_units.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_units.ph	1.6 3/2/94
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_UNITS_DEFINED_
#define _D3_UNITS_DEFINED_


/* begin global definition section */


void d3_createUnitPannel (Widget w, Widget button, caddr_t call_data);


extern d3_state_type d3_state;


/* end global definition section */


/* begin private definition section */


static void d3_closeUnitPannel (Widget w, Widget pannel, caddr_t call_data);
static void d3_setUnitMode (Widget w, int mode, caddr_t call_data);


static Widget activation, initact, output, bias, name, number, zvalue, nothing;
static Widget size, color, toplabel, bottlabel;

static int selected_unit_mode;
static int toggled_unit_mode;

static d3_unit_mode_type temp_unit_mode;


/* end private definition section */


#endif /* _D3_UNITS_DEFINED_ */


/* end of file */
/* lines: 24 */
