/*****************************************************************************
  FILE           : d3_zValue.ph
  SHORTNAME      : zValue.ph
  SNNS VERSION   : 3.2

  PURPOSE        : header for d3_zValue.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_zValue.ph	1.6 3/2/94
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_ZVALUE_DEFINED_
#define _D3_ZVALUE_DEFINED_


/* begin global definition section */


void d3_createZvaluePannel (Widget parent);


extern d3_state_type d3_state;
extern short ui_actualZvalue;
extern XtAppContext ui_appContext;

extern int d3_shortNumberWidth;


/* end global definition section */


/* begin private definition section */


static void d3_readZvalue (Widget w, Widget pannel, caddr_t call_data);
static void d3_incZvalue (Widget w, Widget pannel, caddr_t call_data);
static void d3_decZvalue (Widget w, Widget pannel, caddr_t call_data);

static Widget z_valueWidget;


/* end private definition section */


#endif /* _D3_ZVALUE_DEFINED_ */


/* end of file */
/* lines: 23 */
