/*****************************************************************************
  FILE           : ui_confirmer.ph
  SHORTNAME      : confirm.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 6.7.1990

  CHANGED BY     : Guenter Mamier
  IDENTIFICATION : @(#)ui_confirmer.ph	1.8 3/2/94
  SCCS VERSION   : 1.8
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_CONFIRMER_DEFINED_
#define _UI_CONFIRMER_DEFINED_


/* begin global definition section */

void  ui_confirmOk (char *);
int   ui_confirmYes (char *);

/* end global definition section */


/* begin private definition section */


static void  ui_confirm (char *, int);
static void  ui_cf_yesNoOk (Widget, caddr_t, caddr_t);


static int     ui_cf_answer;      /* which button was pressed to exit ? */
static Widget  ui_cf_popup;       /* shell widget containing the confirmer */
static Bool    ui_cf_exit = TRUE; /* to control the confirmer loop */


/* end private definition section */


#endif /* _UI_CONFIRMER_DEFINED_ */



/* end of file */
/* lines: 32 */
