/*****************************************************************************
  FILE           : ui_kohonen.ph
  SHORTNAME      : ui_kohonen.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Kohonen Function Prototypes, private
  NOTES          :

  AUTHOR         : Marcus Ritt
  DATE           : July 13 1993

  CHANGED BY     : Guenter Mamier
  IDENTIFICATION : @(#)ui_kohonen.ph	1.4 3/2/94
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/
#ifndef _KO_MAIN_DEFINED_
#define  _KO_MAIN_DEFINED_

/* begin global definition section */

void kohonen_createWindow (void);

Widget ui_ExtraToggle;
Widget ui_LayerWidget;
int noOfCurrentLayer = 0;
int kohonen_open = 0;

/* end global definition section */


/* begin privat definition section */

#define kohonen_fontWidth 8

static Widget kohonen_mainWidget;
static Widget ui_ClassSelect; 
static void   kohonen_rem_moveLayerProc(Widget w, int moveType, 
					caddr_t call_data);
static void   kohonen_rem_displaylayerNumber(void);
static void   kohonen_tree(void);
static void   kohonen_doneProc(void);

/* end privat definition section */

#endif /* _KO_MAIN_DEFINED_ */

