/*****************************************************************************
  FILE           : ui_netUpdate.ph
  SHORTNAME      : netUpdat.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 18.5.1990

  CHANGED BY     : Guenter Mamier
  IDENTIFICATION : @(#)ui_netUpdate.ph	1.8 3/2/94
  SCCS VERSION   : 1.8
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_NETUPDATE_DEFINED_
#define _UI_NETUPDATE_DEFINED_


/* begin global definition section */


void ui_net_drawLink (struct Ui_DisplayType *, FlagType, int, int, 
        FlintType, Bool);
void ui_net_drawUnit (struct Ui_DisplayType *, FlagType, int, Bool);
void ui_net_drawAllLinksToUnit (struct Ui_DisplayType *, FlagType, int, Bool);
void ui_net_drawAllLinksFromUnit (struct Ui_DisplayType *, FlagType, 
        int, FlagType);
void ui_net_updateWhole (struct Ui_DisplayType *, FlagType, int, Bool);
void ui_net_completeRefresh (struct Ui_DisplayType *, FlagType);

/* end global definition section */


/* begin private definition section */


static void ui_net_doClearWindow (struct Ui_DisplayType *);
static void ui_net_clearWindow (struct Ui_DisplayType *, FlagType);


/* end private definition section */


#endif /* _UI_NETUPDATE_DEFINED_ */


/* end of file */
/* lines: 30 */
