/*****************************************************************************
  FILE           : bn_assoz.ph
  SHORTNAME      : bn_assoz
  SNNS VERSION   : 3.2

  PURPOSE        : Bignet Auto Assoziative Function Prototypes, private
  NOTES          :

  AUTHOR         : Guenter Mamier
  DATE           : February 11 1994

  CHANGED BY     : 
  IDENTIFICATION : @(#)bn_assoz.ph	1.4 3/10/94
  SCCS VERSION   : 1.4
  LAST CHANGE    : 3/10/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _BN_ASSOZ_DEFINED_
#define  _BN_ASSOZ_DEFINED_

/* begin global definition section */

void bn_create_assoz (void);

/* end global definition section */

/* begin private definition section */

static int assoz_widget_open = 0;
static Widget baseWidget;
static Widget Xsize, Ysize;
static int X,Y,IUnits,HUnits;


/* Learning function name */
#define ASSOZ_LEARN_FUNC_NAME     "RM_delta"

/* Update function name */
#define ASSOZ_UPDATE_FUNC_NAME    "Auto_Synchronous"

/* Init function name */
#define ASSOZ_INIT_FUNC_NAME      "RM_Random_Weights"

/* bn_bignet */
static void done_PROC (void);
static void create_net_PROC (void);

/* bn_create_net */
static void errChk(krui_err);
static void bn_assoz_createNet(void);

/* end  private definition section */
#endif
