/*****************************************************************************
  FILE           : cc_main.ph
  SHORTNAME      : cc_main.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Michael Schmalzl
  DATE           : 23.2.93

  CHANGED BY     :
  IDENTIFICATION : @(#)cc_main.ph	1.6 3/2/94
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/
#ifndef _CC_MAIN_DEFINED_
#define  _CC_MAIN_DEFINED_

/* begin global definition section */
void cc_readElements(void);
void cc_createWindow (void);
/* end global definition section */


/* begin privat definition section */

#define cc_fontWidth 8

static int cc_open=0;
static int cc_onOff        = -1,
           cc_learningFunc = -1,
           cc_candActFunc  = -1;

static Widget cc_mainWidget;
static Widget cc_w0,cc_w1a,cc_w1b,cc_w2a,cc_w2b,cc_w3a,cc_w3b,cc_w4a,
              cc_w4b,cc_w5a,cc_w5b,cc_w6a,cc_w6b,cc_w7a,cc_w7b,
              cc_w9a,cc_w9b,cc_w10a,cc_w10b,cc_w11a,cc_w11b,cc_w13a,cc_w13b;


static void cc_centerString(char *string, int length1, int length2);
static void cc_selectActFuncCand(Widget w, int value, caddr_t call_data);
static void cc_selectOnOff(Widget w, int value, caddr_t call_data);
static void cc_selectLearningFunc(Widget w, int value, caddr_t call_data);
static void cc_deleteCandUnits(Widget w, int value, caddr_t call_data);
static void cc_doneProc(void);
static Widget cc_xCreateButtonItem (char *name, Widget parent, Widget left, Widget top);
static Widget cc_xCreateMenueButtonItem (char *name, Widget parent, Widget left, Widget top, int dist);
static void cc_createCandidatePannel (Widget parent);
static void cc_createOutputPannel (Widget parent);
static void cc_createGlobalPannel (Widget parent);


/* end privat definition section */


#endif /* _CC_MAIN_DEFINED_ */
