/*****************************************************************************
  FILE           : d3_fonts.ph
  SHORTNAME      : fonts.ph
  SNNS VERSION   : 3.2

  PURPOSE        : private header
  NOTES          :

  AUTHOR         : Ralf Huebner
  DATE           : 

  CHANGED BY     : Sven Doering
  IDENTIFICATION : @(#)d3_fonts.ph	1.6 3/2/94
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/
#ifndef _D3FONTS_DEFINED_
#define _D3FONTS_DEFINED_

/* begin global definition section */

void d3_select_font (int selected_font);
void d3_get_font_size (int *x, int *y);
void d3_draw_string (int xpos, int ypos, float zpos, char *s);

/* end global definition section */

/* begin private definition section */

static void draw_char (int xpos, int ypos, unsigned char ch);
static void draw_zbuffered_char (int xpos, int ypos, float zpos, unsigned char ch);

static int width, height;
static char *font;

/* end private definition section */

#endif 
/* end of file */
/* lines: 27 */
