/*****************************************************************************
  FILE           : d3_point.ph
  SHORTNAME      : point.ph
  SNNS VERSION   : 3.2

  PURPOSE        : header for d3_point.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_point.ph	1.7 3/2/94
  SCCS VERSION   : 1.7
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_POINT_DEFINED_
#define _D3_POINT_DEFINED_


/* begin global definition section */


#define POINT_BLOCK_SIZE  1024


void d3_putPixel (int, int);
void d3_putColPixel (int, int);
void d3_flushPixels (void);


/* end global definition section */


/* begin private definition section */


#ifdef BUFFERED_IO
static XPoint points[POINT_BLOCK_SIZE];
static int point_count = 0; 
#endif /* BUFFERED_IO */


/* end private definition section */


#endif /* _D3_POINT_DEFINED_ */


/* end of file */
/* lines: 26 */
