/*****************************************************************************
  FILE           : d3_project.ph
  SHORTNAME      : project.ph
  SNNS VERSION   : 3.2

  PURPOSE        : header for d3_project.c
  NOTES          : all functions will be exported

  AUTHOR         : Ralf Huebner
  DATE           : 1.12.1991

  CHANGED BY     :
  IDENTIFICATION : @(#)d3_project.ph	1.6 3/2/94
  SCCS VERSION   : 1.6
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _D3_PROJECT_DEFINED_
#define _D3_PROJECT_DEFINED_


/* begin global definition section */


void d3_createProjectPannel (Widget w, Widget button, caddr_t call_data);


/* end global definition section */


/* begin private definition section */


static void setCentralProjection (void);
static void d3_closeProjectPannel (Widget w, Widget pannel, caddr_t call_data);
static void setProjectToggleState (void);
static void setParallelProjection (void);

static Widget parallelButton, centralButton;
static Widget viewpointXwidget, viewpointYwidget, viewpointZwidget;

static d3_state_type temp_state;


/* end private definition section */


#endif /* _D3_PROJECT_DEFINED_ */


/* end of file */
/* lines: 23 */
