/*****************************************************************************
  FILE           : ui_config.ph
  SHORTNAME      : config.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer, Universitaet Stuttgart
  DATE           : 1.9.1990

  CHANGED BY     : Guenter Mamier
  IDENTIFICATION : @(#)ui_config.ph	1.9 3/2/94
  SCCS VERSION   : 1.9
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG

******************************************************************************/


#ifndef _UI_CONFIG_DEFINED_
#define _UI_CONFIG_DEFINED_


/* begin global definition section */


int  ui_cfg_save (FILE *);
int  ui_cfg_load (FILE *);

/* end global definition section */


/* begin private definition section */


	/* some macros */
#define retchk(code)     if (code == EOF) return(-1)
#define chkretline(code) if (err != code) return(-lines);
#define chkretline01     if ((err != 0) AND (err != 1)) return(-lines);
#define chkfreeretline(code) if (err != code) { ui_displ_freeItem(listPtr); return(-lines); }
#define CURRENT_FORMAT  6

#define chkretline(code) if (err != code) return(-lines);


static Bool ui_configHas3dSection; 
static char *d3_configStr = "3D-Configuration";
static char *ui_printerConfigStr = "Printer-Configuration";


/* end private definition section */


#endif /* _UI_CONFIG_DEFINED_ */



/* end of file */
/* lines: 22 */
