/*****************************************************************************
  FILE           : ui_netGraph.ph
  SHORTNAME      : netGraph.ph
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 18.5.1990

  CHANGED BY     :
  IDENTIFICATION : @(#)ui_netGraph.ph	1.9 3/23/94
  SCCS VERSION   : 1.9
  LAST CHANGE    : 3/23/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_NETGRAPH_DEFINED_
#define _UI_NETGRAPH_DEFINED_


/* begin global definition section */


void ui_drawGrowingThing (struct Ui_DisplayType *, struct PosType, int);
void ui_drawUnit (struct Ui_DisplayType *, int, FlagType);
void ui_drawLink (struct Ui_DisplayType *, int, int, FlintType, FlagType);
Bool ui_areConnected (int sourceNo, int targetNo) ;


/* dimension of a unit */
int ui_unitWidth  = 16;
int ui_unitHeight = 16;


/* end global definition section */


/* begin private definition section */


static struct PosType ui_arrowPoint (struct PosType, struct PosType);
static double ui_angle (struct PosType source, struct PosType target) ;


/* end private definition section */


#endif /* _UI_NETGRAPH_DEFINED_ */


/* end of file */
/* lines: 30 */
