/*****************************************************************************
  FILE           : ui_remote.h
  SHORTNAME      : remote.h
  SNNS VERSION   : 3.2

  PURPOSE        : Header file of correspondent '.c' file
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 20.7.1990

  CHANGED BY     : Michael Vogt, Guenter Mamier
  IDENTIFICATION : @(#)ui_remote.h	1.10 3/2/94
  SCCS VERSION   : 1.10 
  LAST CHANGE    : 3/2/94  

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_REMOTE_DEFINED_
#define _UI_REMOTE_DEFINED_




extern void  ui_xCreateRemotePanel(Widget parent);


/* shell widget of remote panel */
extern Widget    ui_remotePanel;
/* ascii and label widgets containing/displaying data */
extern Widget    ui_numberOfStepsWidget, ui_numberOfStepsDoneWidget;
extern Widget    ui_numberOfCyclesWidget, ui_numberOfPatternWidget;
extern Widget    ui_showModeLabel;
extern Widget    ui_showPattFile;
extern Widget    REM_UFileMenu;
extern Widget    REM_DFileMenu;
extern Widget    in_dim_widgets[];
extern Widget    out_dim_widgets[];
extern Widget    subIPatSizeW[];
extern Widget    subIPatPosW[];
extern Widget    subIPatStepW[];
extern Widget    subOPatStepW[];
extern Widget    subOPatSizeW[];
extern Widget    subOPatPosW[];
extern Widget    DELPattFileWidget[];
extern Widget    USEPattFileWidget[];
extern Widget    ui_learnParameterWidgets[];
extern Widget    ui_updateParameterWidgets[];
extern Widget    ui_subPatternWidgets[];

/* current configuration of remote panel */
extern int       ui_noOfCurrentPattern;  /* number of current pattern
                                         0 means, no patterns loaded */
extern int       ui_patternLoadMode;
extern int       ui_numberOfStepsDone;
extern int       SubPatPanel;
extern float     ui_learnParameters[];
extern int       subIPatSize[];
extern int       subIPatPos[];
extern int       subIPatStep[];
extern int       subOPatStep[];
extern int       subOPatSize[];
extern int       subOPatPos[];
extern int       subIPatNo;
extern int       subIPatDims;
extern int       subOPatDims;
extern float     ui_updateParameters[];
extern float     ui_initParameters[];
extern Bool      ui_shuffleFlg;
extern Bool      ui_shuffleSubPatFlg;
extern Bool      ui_remoteIsCreated;
extern Bool      UPatFilesLoaded;
extern Bool      DPatFilesLoaded;





#endif /* _UI_REMOTE_DEFINED_ */


/* end of file */
/* lines: 25 */

/* 64 lines generated by deleteprivatedefinitions.awk */
