/*****************************************************************************
  FILE           : ui_setup.ph
  SHORTNAME      : setup.ph
  SNNS VERSION   : 3.2

  PURPOSE        :
  NOTES          :

  AUTHOR         : Tilman Sommer
  DATE           : 18.5.1990

  CHANGED BY     : Guenter Mamier
  IDENTIFICATION : @(#)ui_setup.ph	1.9 3/2/94
  SCCS VERSION   : 1.9
  LAST CHANGE    : 3/2/94

             Copyright (c) 1990-1994  SNNS Group, IPVR, Univ. Stuttgart, FRG
             
******************************************************************************/


#ifndef _UI_SETUP_DEFINED_
#define _UI_SETUP_DEFINED_


/* begin global definition section */


void ui_set_initData (struct Ui_DisplayType *);
void ui_xCreateSetupPanel (Widget, struct Ui_DisplayType *);

FlintType  ui_maxAct    =  2.0; /* this are initial values */
FlintType  ui_maxWeight =  10.0;
FlintType  ui_minWeight = -10.0;
Widget ui_showBottomLabel;
Widget ui_showTopLabel;


/* end global definition section */


/* begin private definition section */


	/* shell widget of setup panel */
/* static Widget ui_setupPanel; */
	/* widgets showing the current configuration */
/* static Widget ui_set_gridWidthWidget; */
/* static Widget ui_set_originXWidget, ui_set_originYWidget; */
/* static Widget ui_set_subnetWidget, ui_set_zWidget; */

/* static Bool   ui_setupIsCreated = FALSE; */ /* yes or no */


/* static short ui_actualZvalue = 0; */

#ifdef _UNUSED_FUNCTIONS_
static FlintType  ui_minAct    = -2.0;
#endif /* _UNUSED_FUNCTIONS_ */


/* end private definition section */


#endif /* _UI_SETUP_DEFINED_ */


/* end of file */
/* lines: 30 */
